$ = jQuery;
$(function() {
    // Удаление дисциплины
    $(".DeleteDiscipline").click(function() {

        if (confirm('Вы действительно хотите удалить дисциплину?')) {
            var thisObj = $(this);
            var id = parseInt($(this).attr('id'));

            $(this).attr("disabled", true);
            $.get(
                g_URLdir + 'api/discipline/delete/' + id,
                function(data) {
                    var response = $.parseJSON(data);
                    if (response.error) {
                        thisObj.removeAttr('disabled');
                        EventInspector_ShowMsg('Ошибка при удалении дисциплины', 'error');
                    } else {
                        EventInspector_ShowMsg('Дисциплина удалена', 'success');
                        var count = thisObj.parent().parent().parent().find('.group_block').size();
                        if (count < 2)
                            thisObj.closest('.discipline_groups').remove();
                        else 
                            thisObj.parent().parent().remove();
                    }
                }
            );
        }

    });

});
